/**
 * 
 */
package com.ampiere.web.struts.search;

import java.util.logging.Level;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.compiere.util.CLogger;
import org.compiere.util.Msg;
import org.compiere.util.WebSessionCtx;

import com.ampiere.search.InfoPAttribute;
import com.ampiere.util.Constants;

/**
 * @author Shinjirito
 *
 */
public class InfoPAttributeAction extends InfoBaseAction {
	/**	Logger			*/
	protected CLogger	log = CLogger.getCLogger(this.getClass());

	/* (non-Javadoc)
	 * @see com.jware.base.web.struts.jWareBaseAction#doExecute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.apache.struts.action.ActionErrors, boolean)
	 */
	public ActionForward doExecute(ActionMapping mapping, ActionForm baseForm,
			HttpServletRequest request, HttpServletResponse response,
			ActionErrors errors, boolean mochaFlag) throws Exception {
		super.doExecute(mapping, baseForm, request, response, errors, mochaFlag);

		//201001 
        WebSessionCtx wscTest = WebSessionCtx.get(request); 
        if (wscTest == null) {
            log.log(Level.SEVERE, "Session Time Out.");
            request.setAttribute(Constants.SESSION_TIMEOUT_INFO, "Session Time Out. Please login again.");
            return mapping.findForward(Constants.SESSION_TIMEOUT);
        }
        //--201001
		
		HttpSession session = request.getSession();
		InfoPAttributeForm infoPattributeForm = (InfoPAttributeForm)baseForm;
		if (infoPattributeForm != null) {
		  	WebSessionCtx wsc = WebSessionCtx.get(request);
		  	infoPattributeForm.setTitle(Msg.translate(wsc.ctx, "InfoPAttribute"));
		  	infoPattributeForm.setCloseBtnTitle(Msg.translate(wsc.ctx, "Cancel"));
		  	infoPattributeForm.setSubmitBtnTitle(Msg.translate(wsc.ctx, "OK"));
		  	infoPattributeForm.setDateInfos(wsc.language.getLocale(), wsc.dateFormat.toPattern());

			// Set search info form
			InfoPAttribute infoPAttribute = new InfoPAttribute(wsc.ctx);
			session.setAttribute("infoPattributeForm", infoPattributeForm);
			session.setAttribute("infoPAttribute", infoPAttribute);
		}

	    return mapping.findForward("success");
	}
}
